--- title: "Create short clip" slug: "media-livestation-shortclip-shortclipcreate" tags: ["Live Station"] updated: 2026-09-17T10:12:40Z published: 2026-09-17T10:12:40Z canonical: "api.ncloud-docs.com/media-livestation-shortclip-shortclipcreate" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Create short clip Available in Classic and VPC Create a short clip as a snapshot of a live channel that is streaming. You can create a short clip only when the channel is in the `READY` or `PUBLISHING` status. You can use the created short clips to quickly serve VOD, and they can also be utilized as short form content. Note the following when creating a short clip: - You can create a minimum of 100 ms and a maximum of 4 hours. - You can create a short clip from any point in time using the time machine set in the channel. - Set `useDvr` to `true` for [Create channel](/docs/en/media-livestation-channel-channelcreate). - The created short clip is automatically uploaded as an MP4 file to the Object Storage bucket in NAVER Cloud Platform. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v2/channels/{channelId}/{snapshotId} | ### Request headers For information about the headers common to all Live Station APIs, see [Live Station request headers](/docs/en/media-livestation#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `channelId` | String | Required | Channel ID - See [Get channel list](/docs/en/media-livestation-channel-channellist). | | `snapshotId` | String | Required | Snapshot ID - See [Create snapshot](/docs/en/media-livestation-snapshot-snapshotcreate), [Get channel list](/docs/en/media-livestation-channel-channellist), and [Get channel](/docs/en/media-livestation-channel-channelinfo). | ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `startTime` | Integer | Required | Short clip start point (millisecond) - Start point based on snapshot playback time. - Can be entered from 0. | | `endTime` | Integer | Required | Short clip end point (millisecond) - End point based on snapshot playback time. - Can be entered from 100 ms of `startTime`. | | `shortclip` | Object | Required | Short clip storage settings | | `shortclip.output` | Object | Required | Storage information | | `shortclip.output.accessControl` | String | Required | Disclosure scope - `PRIVATE` (default) \| `PUBLIC_READ` - `PRIVATE`: Private - `PUBLIC_READ`: Public | | `shortclip.output.bucketName` | String | Required | Object Storage bucket name - See [ListBuckets](/docs/en/storage-objectstorage-listbuckets). | | `shortclip.output.filePath` | String | Required | Detailed storage path - Start with `/`. | Note When entering a request body, see the following: - Enter `startTime` and `endTime` as the relative playback time of the snapshot. Example: A request with `startTime=0`, `endTime=1500` creates a short clip of the snapshot from 0 to 1.5 seconds (00:00:000 to 00:00:015). - The values `endTime` - `startTime` cannot exceed the snapshot playback time. ### Request example The request example is as follows: ``` curl --location --request POST 'https://livestation.apigw.ntruss.com/api/v2/channels/ls-20250814******-zTwK2/7548' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'x-ncp-region_code: KR' \ --header 'Content-Type: application/json' \ --data '{ "startTime": 0, "endTime": 60000, "shortclip": { "output": { "accessControl": "PRIVATE", "bucketName": "mybucket", "filePath": "/shortclip" } } }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `content` | Object | - | Response result | | `content.channelId` | String | - | Channel ID | | `content.snapshotId` | String | - | Snapshot ID | | `content.shortclip` | Object | - | Short clip storage settings | | `content.shortclip.id` | Integer | - | Short clip ID | | `content.shortclip.status` | String | - | Short clip status - `CREATING` \| `COMPLETED` \| `PROCESSING_FAIL` \| `UPLOAD_FAIL` - `CREATING`: Creating - `COMPLETED`: Completed - `PROCESSING_FAIL`: Creation failed - `UPLOAD_FAIL`: Upload failed | | `content.shortclip.createdTime` | Integer | - | Short clip creation date and time (millisecond) - Unix timestamp format | | `content.shortclip.updatedTime` | Integer | - | Short clip update date and time (millisecond) - Unix timestamp format | | `content.shortclip.output` | Object | - | Short clip storage information | | `content.shortclip.output.accessControl` | String | - | Short clip file storage bucket disclosure scope - `PRIVATE` \| `PUBLIC_READ` - `PRIVATE`: Private - `PUBLIC_READ`: Public | | `content.shortclip.output.bucketName` | String | - | Short clip file storage bucket name | | `content.shortclip.output.filePath` | String | - | Detailed storage path | | `content.shortclip.output.fileName` | String | - | Short clip file name | ### Response status codes For information about the HTTP status codes common to all Live Station APIs, see [Live Station response status codes](/docs/en/media-livestation#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "content": { "channelId": "ls-20250814******-zTwK2", "snapshotId": 7548, "shortclip": { "id": 1403, "status": "CREATING", "createdTime": 1755566018278, "updatedTime": 1755566018277, "output": { "accessControl": "PRIVATE", "bucketName": "mybucket", "filePath": "/shortclip", "fileName": "1403-1755566018278.mp4" } } } } ```